Skip to main content
OverflowAI is here! AI power for your Stack Overflow for Teams knowledge community. Learn more

Questions tagged [magento-upgrade]

Denotes a question related to Magento upgrade process

Filter by
Sorted by
Tagged with
20 votes
6 answers
22k views

Magento 2.2.0 Invalid Document Element 'resource': The attribute 'title' is required but missing

I am trying to upgrade a website from Magento 2.1.8 to 2.2.0 I have configured composer for 2.2.0 and also updated it with command line. Now when I run magento setup:upgrade its halt on running ...
Yogesh Trivedi's user avatar
11 votes
4 answers
6k views

Magento 2.2.X > 2.3.0 upgrade issues

Today magento 2.3.0 was officially released. I tried to upgrade from 2.2.6 > 2.3.0 but failed. Tried to upgrade from 2.2.6 > 2.2.7 and it succeeded with no issues. tried again 2.2.7 > 2.3.0 and got ...
Borde91's user avatar
  • 350
8 votes
7 answers
8k views

Static content deploy error after upgrading magento 2.4.3-p1 to 2.4.4

php ver 8.1 Error happened during deploy process: Deprecated Functionality: pathinfo(): Passing null to parameter #1 ($path) of type string is deprecated in /vendor/magento/framework/View/Asset/...
Savan Patel's user avatar
  • 2,358
7 votes
4 answers
8k views

PHP Fatal error: Class Magento\Setup\Mvc\Bootstrap\InitParamListener contains 1 abstract method

I have updated the version of magento from 2.3.4 => 2.3.7 but. Composer commands runs successfully with no error. But now when I try to run magento commands eg. s:up or compile it does not work and ...
Charanjeet Singh's user avatar
6 votes
4 answers
7k views

Magento 2.2.4 Upgrade issue : Area is already set

I have upgraded to version 2.2.4 from 2.2.3 now I'm getting error when try to save theme seting
Ketan Borada's user avatar
  • 2,613
6 votes
6 answers
19k views

Magento 2.4.0 ElasticSearch not alive

When performing the setup:upgrade I get this error : "Could not validate a connection to Elasticsearch. No alive nodes found in your cluster" I have not enabled It previously, updating from ...
V. Long's user avatar
  • 131
5 votes
6 answers
5k views

What is the easiest way to upgrade from Magento 2.4.5 to 2.4.5-p1?

Magento 2.4.5 Porto theme What is the easiest way to upgrade Magento 2.4.5 to Magento 2.4.5 p1 which was released on October 11th? UPDATED on October 17th, 2022: When I try to run the following, it ...
Allysin's user avatar
  • 260
5 votes
1 answer
4k views

Magento 2.4 Checkout error Failed to load the "Magento_Checkout/shipping" template

I've some error console bus in checkout page when upgrading core. Does anybody know where this bug is from? Failed to load the "Magento_Checkout/shipping" template requested by "...
ATT's user avatar
  • 123
5 votes
2 answers
478 views

Multistore Images are not coming after Upgrade 2.2.6 to 2.3

I have multiple stores setup with more then 100K products and 500+ categories. So my issue is when I upgrade Magento 2.2.6 to 2.3 the product images are coming properly from main store but some ...
Dev Link's user avatar
4 votes
4 answers
7k views

Magento 2.3.2 wrong image cache path

Magento 2.3.2 upgrade after 2.2.6 having issue on product page. Images aren't appearing on product pages. The path coming is 404 /catalog/product/cache/50dd8aa5084eb9449e88d424223230cd/image/...
Arsalan Ul Haq's user avatar
4 votes
1 answer
7k views

Magento2 : Area code not set: Area code must be set before starting a session

Old Version : 2.2.2 Upgraded Version : 2.2.4 i'm getting error while run command php bin/magento setup:upgrade Module 'Magento_Store': Module 'Magento_Directory': Module 'Magento_Eav': Module '...
Ketan Borada's user avatar
  • 2,613
4 votes
0 answers
297 views

Unable to write output

Evening, I'm trying to run the following command composer show magento/product-community-edition 2.4.* --all | grep -m 1 versions but I am getting an output of the following: versions : * 2.4.2 [...
newbie_rebel's user avatar
3 votes
3 answers
7k views

PHP Fatal error: Cannot redeclare __() (previously declared in /vendor/magento/framework/Phrase/__.php:15) in /app/functions.php on line 23

Hello I am facing the issue after upgrade from 2.2.6 to 2.3.0 Can you suggest what is needed to be modified? file __.php : <?php declare(strict_types=1); function __() { $argc = ...
Arnaldo Serrano's user avatar
3 votes
3 answers
4k views

Upgrade from 2.4.2 to 2.4.3 - I don't know how to resolve these dependencies

I am looking to upgrade my Magento Store from 2.4.2 to 2.4.3. When I enter the command "composer update" I get the below response. Updating dependencies Your requirements could not be ...
brettstix's user avatar
3 votes
3 answers
9k views

Magento 2.3 installation PHP requirement

I'm trying to update Magento 2.2 to version 2.3 using this command: composer require magento/product-community-edition=2.3.0 When doing so, I receive the following error: Loading composer ...
Fidelity's user avatar
  • 130
3 votes
1 answer
491 views

User is getting logged out when they tried to change the password from my accounts section

I'm facing a peculiar issue with Magento2.3.4-p2 (upgraded from 2.2.6). When the user changes the password from my accounts section, the user is getting logged out.I verified till the redirect to /...
Karuppana Samy Periasamy's user avatar
3 votes
1 answer
5k views

How to upgrade Magento from 2.4.1 to 2.4.6

I'm actually on Magento CE version 2.4.1 I need to update it to 2.4.6 (latest version) I'm in live (I don't have a staging enviroment) Is there someone who can guide me step to step in upgrading? ...
Marcello D'Ambrosio's user avatar
3 votes
2 answers
750 views

Upgrade existing Magento 1.9 using Open mage or get patches from it

We want update our Magento 1.9 site with latest patches and came across Open Mage. We are not sure how to get patch files from it as it seems to be a complete Magento 1 installation repository. Below ...
Kaushik Kumar Roy's user avatar
3 votes
4 answers
2k views

Error Upgrade from Magento 2.2.5 to Magento 2.3.3

I tried upgrading my Magento 2.2.5 using composer like this: php bin/magento deploy:mode:set developer php bin/magento cache:disable php bin/magento maintenance:enable composer require magento/...
jojo's user avatar
  • 39
3 votes
1 answer
2k views

Magento 2.3 upgrade failed with PHP Fatal error: Uncaught Error: Class Zend\Code\Annotation\AnnotationManager Error

I've upgraded my Dev server from Magento 2.2.5 to 2.3 I had to install in increments by going from 2.2.5->2.2.6>2.2.7 and then on to 2.3 There were also a few modules I had to remove to get the ...
wjp_bill's user avatar
  • 330
3 votes
2 answers
173 views

Multi website frontend page is broken after upgrading to 2.3.3

I have a Magento 2 multi-website with each website has their own store view, after I upgrade it from 2.5 to 2.3.3, the main website is looking fine, but the others are broken and when I inspect, got ...
jojo's user avatar
  • 39
3 votes
1 answer
731 views

Null condition present on Category Products Collection Query

Currently I am on Magento 2.4.2 which was upgraded from 2.3.0. The issue which I am facing right now is that I am not able to see any products displayed on category page. After debugging the below ...
Nisith's user avatar
  • 300
3 votes
0 answers
166 views

Products not appearing on category page after upgrade from 2.3.0 to 2.4.2

I have upgraded my Magento v2.3.0 to v2.4.2 running on Mysql 8. Everything went well except products not showing up on category page. Below is the class responsible to fetch products on category page. ...
Nausif's user avatar
  • 1,554
3 votes
2 answers
207 views

How to Upgrade magento 2.1.9 to 2.2.3?

How to move Magento 2.1.9 from bitnami to a similar bitnami box Azure but at Magento version 2.3.3 Also, If I upgrade Magento via composer or using the admin panel then will all of the third-party ...
SharmaV's user avatar
  • 129
3 votes
3 answers
169 views

How to solve this error?

I am trying to upgrade magento version from 2.1.9 to 2.1.10 I got following error. Module 'Magento_Ui' from '/home/zitomer/upgrade.zitomer.com/app/code/Magento/Ui' has been already defined in '...
1990rk4's user avatar
  • 593
3 votes
1 answer
59 views

Why is system upgrade showing unstable version when upgrading in backend?

testing an upgrade from 2.1.7 to 2.1.9 and further, I was wondering why Magento shows the versions from 2.1.10 to 2.1.12 as "unstable versions" ?! what does that mean - should one upgrade or not to ...
user58220's user avatar
2 votes
1 answer
2k views

Fatal error: Uncaught Error: Call to a member function getSectionNames() after upgrading to 2.3.4

We've faced this issue when we've upgraded Magento Commerce 2.3.2 to 2.3.4. Error was like: Fatal error: Uncaught Error: Call to a member function getSectionNames() on /vendor/magento/module-...
mapetek's user avatar
  • 397
2 votes
6 answers
3k views

Magento 2.1.9 upgrade to 2.2.0 - Error on setup:upgrade with Magento_Sales table

Upgrading magento from 2.1.9 to 2.2.0 and during the automatic bin/magento setup:upgrade process it runs all upgrades fine until it reaches the magento_sales table where it produces this error. There ...
stephenjohnhill's user avatar
2 votes
3 answers
3k views

Magento2 admin login not redirecting to dashboard page

after upgrade from magento 2.3.3 to 2.4.4, Admin login not redirecting to dashboard page.no errors coming but it just stays in login page. Can anyone let me know what could be issue?
bhargav shastri's user avatar
2 votes
4 answers
4k views

After Upgrade Magento from 2.3.4 to 2.4 Cannot instantiate interface Magento\InventoryApi\Api\SourceRepositoryInterface

After Upgrade Magento from 2.3.4 to 2.4 getting error. main.CRITICAL: Error: Cannot instantiate interface Magento\InventoryApi\Api\SourceRepositoryInterface in /public_html/vendor/magento/framework/...
Vishal Sanwar's user avatar
2 votes
3 answers
650 views

How to upgrade magento 2.3.1 CE to 2.3.3 CE?

I have magento 2.3.1 CE. I want to upgrade 2.3.1 to 2.3.3 CE with commands only. Does anyone know how to upgrade it with commands ? Thanks in advance.
Chirag Parmar's user avatar
2 votes
1 answer
954 views

Set a value for DATA_CONVERTER_BATCH_SIZE -- not a valid id

I am trying to update my Magento 2.3 instance to 2.3.1. So I'm trying to finish the update and upgrade checklist, but when I get to the step: Set a value for DATA_CONVERTER_BATCH_SIZE, I copied ...
Morgan Smith's user avatar
2 votes
2 answers
702 views

scconnector_google_feed_cl error after product save (just upgraded to 2.3.5-p2)

I just upgraded Magento to 2.3.5-p2, now I'm getting the following error after saving products: SQLSTATE[42S02]: Base table or view not found: 1146 Table 'mg2.mg_scconnector_google_feed_cl' doesn't ...
tomr's user avatar
  • 23
2 votes
4 answers
11k views

Magento 2.4.0 Upgrade Issue [Issue Updated]

I am upgrading Magento 2.3.5-p1 to Magento 2.4.0. I followed below steps composer require magento/composer-root-update-plugin=~1.0 --no-update composer update cp composer.json composer.json.bak ...
Banna Online's user avatar
  • 1,069
2 votes
3 answers
403 views

How to upgrade magento ver 2.3.1 to 2.3.3

I'm in live, need to upgrade Magento 2.3.1 to 2.3.3. Please let me know, how to upgrade this version without any disturbance of my website.
Priya's user avatar
  • 589
2 votes
1 answer
1k views

Upgrade to Magento 2.2.6 to Magento 2.3.1 Init vector must be a string of 32 bytes

I have upgrade magneto 2.2.6 to magento 2.3.1 and found "Unable to unserialize value. Error: Syntax error" error during run the php bin/magneto command in terminal And browser gets Thanks in ...
Amit Maurya's user avatar
  • 2,871
2 votes
1 answer
992 views

Detecting possible issues with serialized data after Magento 2.2 upgrade

While upgrading Magento from 2.1.x to 2.2.x version. We have found an error like "Unable to unserialized value" in few tables. For Example: - "info" column of a magento_logging_event table, "...
Swapnil Tatkondawar's user avatar
2 votes
2 answers
1k views

How to upgrade Magento 2 cloud version from 2.4.5-p1 to 2.4.5-p2 ? without upgrade third party extensions

I have tried to upgrade using "composer require-commerce magento/magento-cloud-metapackage:'2.4.5-p2 < 2.4.6' --no-update" this composer command but it's returning the error like Please ...
Raju Sadadiya's user avatar
2 votes
1 answer
617 views

Error when compiling: Declaration of X must be compatible with Y

I'm new to Magento and working on upgrading an existing project to 2.4.3. When running php -dmemory_limit=5G bin/magento setup:di:compile I'm encountering an error: Fatal error: Declaration of X\...
Sara Fuerst's user avatar
2 votes
6 answers
2k views

setup:di:compile fails after updating to 2.4.4

I upgraded from 2.4.2 to 2.4.4. Everything seemed to work, until I ran setup:di:compile. I get this error: MiBClass 'Zend\I18n\Validator\PhoneNumber' not found#0 /var/www/html/magento2/vendor/...
Adamf's user avatar
  • 43
2 votes
1 answer
6k views

Magento 2.3.2 Inventory Reservation, adding entries for open order before inventory upgrade

My salable quantity is off. I figured out why it's off and how salable quantity is calculated. Example proper order: User: New order with product sku SKU-AAA x 1 System: Create a Reservation for ...
Mac A.'s user avatar
  • 280
2 votes
1 answer
416 views

After Upgrade from Magento 2.1.6 to Magneto 2.3.2 i get below error

After upgade Magento 2.1.6 to 2.3.2 i am try to run php bin/magento setup:upgrade it's give below error SQLSTATE[23000]: Integrity constraint violation: 1452 Cannot add or update a child row: a ...
Bhavesh's user avatar
  • 109
2 votes
1 answer
104 views

admin area getting error 'require is not a function at editor.js:6' after upgrading magento 2 from 2.1.1 to 2.1.17

After upgrading Magento from version 2.1.1 to 2.1.17, I am facing this error Uncaught TypeError: require is not a function at editor.js:6 across admin area especially in edit pages when I look ...
lazy_coder's user avatar
2 votes
1 answer
81 views

Magento 2 : Print order pdf's error since upgrade to 2.4.7

I have upgrading to 2.4.7, after that I can no longer print any order pdf's, which is obviously problematic. Exception log below but I am not technical enough to know how to fix it! main.CRITICAL: ...
AndeeKnits's user avatar
2 votes
2 answers
1k views

Error after upgrading Magento 2.4.3 to 2.4.5

After upgrading Magento from 2.4.3 to 2.4.4 (or 2.4.5), I cannot run any Magento CLI command. For example, setup upgrade command: bin/magento setup:upgrade generates the errors: Interface "Zend\...
apelix's user avatar
  • 21
2 votes
1 answer
1k views

Using Class or Implemented interface is non API on version '2.4.4'

I have generated Upgrade Compatibility Tool Report and most of the errors are as below. [ERROR] [1328] Line 24: Implemented interface 'Magento\Framework\GraphQl\Query\ResolverInterface' that is non ...
Kaushik Kumar Roy's user avatar
2 votes
2 answers
13k views

Magento 2 :- Magento upgrade error 2.4.4 in php 8.1

When i run this command i got error php bin/magento maintenance:enable PHP Deprecated: Return type of phpseclib_mcrypt_filter::filter($in, $out, &$consumed, $closing) should either be ...
Chirag Chikhaliya's user avatar
2 votes
1 answer
196 views

Magento 2.4 upgrade error

I am upgrading Magento 2.4.2 to 2.4.3 on composer update I am facing these issues Your requirements could not be resolved to an installable set of packages. Problem 1 - Conclusion: don't ...
Magentodeveloper's user avatar
2 votes
1 answer
3k views

Shipping Region ID is missing in checkout after upgrading from Magento 2.3.4 to Magento 2.4.1

After i upgrade from Magento 2.3.4 to Magento 2.4.1 after choosing the shipping address in the checkout page, i got this error: Please specify regionId in shipping address then i see the region is ...
Tiny Dancer's user avatar
2 votes
1 answer
163 views

Magento upgrade version 1.9.4.1 to 1.9.4.3

How do I upgrade my site Magento version 1.9.4.1 to 1.9.4.3 Please give me suggestion how can I do this I take all backup file in an old version in site so how can I upgrade through a command line ...
MOHIT GOHEL's user avatar

1
2 3 4 5
7